#
# contributed by Vincent Magnin <vink@mon-net.org>
#
# brand:             Pinnacle Systems
# model:             PCTV Remote (Perhaps other ones as well)
# supported devices: 310i
#

begin remote

  name  PinnaclePCTVRemote
  bits            16
  eps             30
  aeps            100

  one             0     0
  zero            0     0
  pre_data_bits   16
  pre_data        0x8001
  gap             180000

  begin codes
    1	     			0x0002
    2				0x0003
    3				0x0004
    4				0x0005
    5				0x0006
    6				0x0007
    7				0x0008
    8				0x0009
    9				0x000a
    0				0x000b
    Backspace			0x000e
    Up				0x0067
    Left			0x0069
    Right			0x006a
    Down			0x006c
    Mute			0x0071
    VolumeDown			0x0072
    VolumeUp			0x0073
    Power			0x0074
    Pause			0x0077
    Stop			0x0080
    Menu			0x008b
    Back			0x009e
    Forward			0x009f
    Record			0x00a7
    Rewind			0x00a8
    Refresh			0x00ad
    Play			0x00cf
    EPG				0x00d2
    Select			0x0161
    Channel			0x016b
    Zoom			0x0174
    TV				0x0179
    Text			0x0184
    Red				0x018e
    Green			0x018f
    Yellow			0x0190
    Blue			0x0191
    ChannelUp			0x0192
    ChannelDown			0x0193
    Next			0x0197
    Previous			0x019c
  end codes
end remote
